<template>
    <div class="error">
        <span class="error-text">{{ msg }}</span>
        <div class="error__actions">
            <slot name="actions"></slot>
        </div>
    </div>
</template>

<script setup>
const props = defineProps({
  msg: {
    type: String,
    default: "Ooops, une erreur est survenue"
  }
})
</script>

<style>

.error-text {
    font-weight: bold;
    text-transform: uppercase;
}

.error {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 8rem;
}

.error__actions {
    margin-top: 3rem;
}

</style>